
This project is a message generator and consumer for ActiveMQ. It generates random messages and sends them to an ActiveMQ queue, then reads messages from the queue and validates them based on specified criteria. Valid messages are written to one CSV file, and invalid messages are written to another CSV file with a JSON error description.